'use strict';

(function ($) {
	var $modal = $('#growmatik-modal-bg');
	var $submit = $('#growmatik-send-modal');

	$('#deactivate-marketing-automation-and-personalization').on('click', function (e) {
		e.preventDefault();
		$('textarea').val('');
		$('input:checkbox').removeAttr('checked');
		$modal.show();

		var href = e.target.getAttribute('href');
		$submit.attr('href', href);
	});

	$('[name="growmatik-deactivation-reason"]').on('click', function (e) {
		if ($(this).val() == 'other') {
			if (this.checked) {
				$('.growmatik-explanation').html('(required)');
			} else {
				$('.growmatik-explanation').html('(optional)');
			}
		}
	});

	$submit.on('click', function (e) {
		var $reasons = $('[name="growmatik-deactivation-reason"]:checked');
		var reasons = [];

		$reasons.each(function () {
			reasons.push($(this).val());
		});

		if (reasons.includes('other') && !$('[name="growmatik-deactivation-note"]').val().length) {
			$('.growmatik-err-note').show();
			setTimeout(function () {
				$('.growmatik-err-note').fadeOut();
			}, 3000);
			return false;
		}

		if (!reasons.length) {
			$('.growmatik-hint').show();
			return false;
		} else {
			e.target.disabled = true;
			$('.growmatik-hint').hide();
		}
		var data = {
			action: 'growmatik_feedback',
			n: $(e.target).data('nonce'),
			reasons: reasons,
			note: $('[name="growmatik-deactivation-note"]').val(),
			contact: $('[name="growmatik-deactivation-contact"]').is(':checked')
		};

		$.post(ajaxurl, data);

		// Deactivate plugin.
		window.location.href = e.target.getAttribute('href');
	});

	// Hide when clicking out of modal.
	$('#growmatik-modal-bg').on('click', function (event) {
		var $target = $(event.target);
		if (!$target.closest('#growmatik-feedback-modal').length || $target.is('#growmatik-discard-modal')) {
			$('.growmatik-explanation').html('(optional)');
			$modal.hide();
		}
	});

	// Support esc key.
	$(document).keydown(function (event) {
		if (event.keyCode == 27) {
			$('.growmatik-explanation').html('(optional)');
			$modal.hide();
		}
	});
})(jQuery);