<div class="wrap">
	<h1><?php echo esc_html( get_admin_page_title() ); ?></h1>
	<div class="growmatik-card">
		<h3 class="growmatik-card-title"><?php esc_html_e( 'Integrate with Growmatik.ai', 'growmatik' ); ?></h3>
		<p>
			<?php
			if ( \Growmatik\Admin\Integration::had_integration() ) {
				esc_html_e( 'Connect your site again to continue executing rules and data collection.', 'growmatik' );
			} else {
				printf(
					/* translators: %1$s is a link to Growmatik.ai, %2$s is a link that reads 'Learn more'. */
					esc_html__( 'Please create an account on %1$s, then connect your site to start tracking your website\'s guests, leads and customers as well as executing automation rules. %2$s about creating an account and integrating your site with Growmatik.', 'growmatik' ),
					'<a href="https://growmatik.ai" target="_blank">Growmatik.ai</a>',
					'<a href="https://growmatik.ai/help/how-to-register-and-integrate-your-site-with-growmatik/" target="_blank">' . esc_html__( 'Learn more', 'growmatik' ) . '</a>'
				);
			}
			?>
		</p>
		<div class="growmatik-card-buttons">
			<form action="<?php echo esc_url( admin_url( 'admin-post.php' ) ); ?>" method="post">
				<?php wp_nonce_field( 'growmatik_integrate_post', 'nonce' ); ?>
				<input type="hidden" name="action" value="growmatik_integrate">
				<button class="button button-primary">
					<?php
					if ( \Growmatik\Admin\Integration::had_integration() ) {
						esc_html_e( 'Reintegrate', 'growmatik' );
					} else {
						esc_html_e( 'Connect & Activate', 'growmatik' );
					}
					?>
				</button>
			</form>
		</div>

		<?php if ( \Growmatik\Admin\Data_Manager::plugin_data_exists() ) : ?>
			<p class="growmatik-card-row">
				<span><?php esc_html_e( 'Erase Growmatik data from WordPress.', 'growmatik' ); ?></span>
				<button class="button button-secondary growmatik-destroy-data-confirm"><?php esc_html_e( 'Erase Growmatik Data', 'growmatik' ); ?></button>
			</p>

			<div class="growmatik-dialog" id="growmatik-destroy-data-dialog">
				<div class="growmatik-dialog-header">
					<h3 class="growmatik-dialog-title"><?php esc_html_e( 'Erase all Growmatik data?', 'growmatik' ); ?></h3>
				</div>
				<div class="growmatik-dialog-content">
					<?php
						printf(
							'<p>%s</p><p style="margin-bottom: 6px;">%s</p><ul style="margin-top: 6px;"><li>&bullet; %s</li><li>&bullet; %s</li></ul><p>%s<br>%s</p>',
							esc_html__( 'Are you sure you want to erase Growmatik plugin data from WordPress?', 'growmatik' ),
							esc_html__( 'Some analytics information will be deleted permanently, including, but not limited to: ', 'growmatik' ),
							esc_html__( 'User details in Customer Journey', 'growmatik' ),
							esc_html__( 'Purchase details in Customer Journey', 'growmatik' ),
							esc_html__( 'Use this feature for \'factory reset\' purposes.', 'growmatik' ),
							esc_html__( 'Would you like to continue?', 'growmatik' )
						);
					?>
				</div>
				<div class="growmatik-dialog-footer">
					<button class="button button-primary growmatik-destroy-data"><?php esc_html_e( 'Erase Data', 'growmatik' ); ?></button>
					<button class="button button-secondary growmatik-dialog-close"><?php esc_html_e( 'Cancel', 'growmatik' ); ?></button>
				</div>
			</div>
		<?php endif; ?>
	</div>
</div>
